JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "linux" });
await box.browser.open({
maximize: true,
showControls: false,
})
// Open a new tab with Gbox.ai
const newTab = await box.browser.openTab({
url: "https://gbox.ai"
});
// close browser
await box.browser.close();
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
box = gbox_sdk.create(type="linux")
# Open browser with configuration
box.browser.open(
maximize=True,
show_controls=False
)
# Open a new tab with Gbox.ai
new_tab = box.browser.open_tab(
url="https://gbox.ai"
)
# Close browser
box.browser.close()
if __name__ == "__main__":
main()curl --request DELETE \
--url https://gbox.ai/api/v1/boxes/{boxId}/browser/close \
--header 'Authorization: Bearer <token>'Browser
Close browser
Close the browser in the specified box
DELETE
/
boxes
/
{boxId}
/
browser
/
close
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "linux" });
await box.browser.open({
maximize: true,
showControls: false,
})
// Open a new tab with Gbox.ai
const newTab = await box.browser.openTab({
url: "https://gbox.ai"
});
// close browser
await box.browser.close();
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
box = gbox_sdk.create(type="linux")
# Open browser with configuration
box.browser.open(
maximize=True,
show_controls=False
)
# Open a new tab with Gbox.ai
new_tab = box.browser.open_tab(
url="https://gbox.ai"
)
# Close browser
box.browser.close()
if __name__ == "__main__":
main()curl --request DELETE \
--url https://gbox.ai/api/v1/boxes/{boxId}/browser/close \
--header 'Authorization: Bearer <token>'Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Response
200
Successfully closed the browser
Was this page helpful?
⌘I